Gets the catalog entry price.
1 min
GET
/episerverapi/commerce/entries/{entryCode}/prices/{priceValueId}
Path Parameters
- priceValueIdinteger<int64>requiredDescriptionFormatint64
- entryCodestringrequired
Query Parameters
- entryCodestringDescription
Header Parameters
- acceptstringDescriptionDefaulttext/plainAllowedtext/plainapplication/jsontext/json
Responses
200
- Price
- priceValueIdinteger<int64>DescriptionFormatint64
- catalogEntryCodestringDescription
- marketIdstringDescription
- priceTypeIdstringDescription
- priceCodestringDescription
- validFromstring<date-time>DescriptionFormatdate-time
- validUntilstring<date-time>DescriptionFormatdate-time
- minQuantitynumber<double>DescriptionFormatdouble
- unitPricenumber<double>DescriptionFormatdouble
- currencyCodestringDescription
401
404
curl
curl --request GET \
--url /episerverapi/commerce/entries/{entryCode}/prices/{priceValueId} \
--header 'accept: text/plain'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "text/plain");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("/episerverapi/commerce/entries/{entryCode}/prices/{priceValueId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("/episerverapi/commerce/entries/{entryCode}/prices/{priceValueId}")
http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["accept"] = "text/plain"
request["content-type"] = "application/json"
response = http.request(request)
puts response.read_body
python
import requests
import json
url = "/episerverapi/commerce/entries/{entryCode}/prices/{priceValueId}"
payload = {}
headers = {
'accept': 'text/plain',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Return the catalog entry price.
{
"priceValueId": "",
"catalogEntryCode": "",
"marketId": "",
"priceTypeId": "",
"priceCode": "",
"validFrom": "",
"validUntil": "",
"minQuantity": "",
"unitPrice": "",
"currencyCode": ""
}401
// If user does not have enough permission for this request.
404
// If entry or entry prices does not exist.